// PilotLogic Software House
// ct9999

{$ifndef ALLPACKAGES}
{$mode objfpc}{$H+}
program fpmake;

uses fpmkunit;

Var
  P : TPackage;
  T : TTarget;
begin
  With Installer do
    begin
{$endif ALLPACKAGES}

    P:=AddPackage('firebird');
    P.ShortName:='fbdb';
{$ifdef ALLPACKAGES}
    P.Directory:=ADirectory;
{$endif ALLPACKAGES}
    P.Version:='3.3.1';
    P.Author := 'PilotLogic Software House';
    P.License := 'Firebird License';
    P.HomepageURL := 'www.pilotlogic.com';
    P.Email := '';
    P.Description := 'Headers for the Firebird RDBMS';
    P.NeedLibC:= true;  // true for headers that indirectly link to libc?
    P.OSes := AllUnixOSes+AllWindowsOSes-[qnx];
    if Defaults.CPU=jvm then
      P.OSes := P.OSes - [java,android];

    P.SourcePath.Add('src');
    P.IncludePath.Add('src');

    T:=P.Targets.AddUnit('firebirddyn.pp');
      with T.Dependencies do
        begin
          AddInclude('firebird.inc');
        end;
    T.ResourceStrings := True;

{$ifndef ALLPACKAGES}
    Run;
    end;
end.
{$endif ALLPACKAGES}
